"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _gatsbyTelemetry = _interopRequireDefault(require("gatsby-telemetry"));

var _execa = _interopRequireDefault(require("execa"));

module.exports = async program => {
  const recipe = program._[1];

  _gatsbyTelemetry.default.trackCli(`RECIPE_RUN`, {
    recipe
  }); // Start GraphQL serve


  let subprocess;
  subprocess = (0, _execa.default)(`node`, [`node_modules/gatsby/dist/recipes/graphql.js`], {
    cwd: program.directory,
    all: true
  });
  process.on("exit", () => subprocess.kill("SIGTERM", {
    forceKillAfterTimeout: 2000
  }));
  let started = false;
  subprocess.stdout.on("data", data => {
    if (!started) {
      const runRecipe = require(`../recipes/index`);

      runRecipe({
        recipe,
        projectRoot: program.directory
      });
      started = true;
    }
  });
  subprocess.stderr.on("data", data => {
    console.log(`Received err chunk: ${data}`);
  }); // Run command
};
//# sourceMappingURL=recipes.js.map